Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

HDP 3.0.0 including unsupported component versions Hadoop 3.1.0 and HBase 2.0.1

HDP 3.0.0 including unsupported component versions Hadoop 3.1.0 and HBase 2.0.1

New Contributor

HDP 3.0.0 includes components Hadoop 3.1.0 and HBase 2.0.1
https://docs.hortonworks.com/HDPDocuments/HDP3/HDP-3.0.0/release-notes/content/comp_versions.html

Apache HBase project support matrix explicitly says HBase 2.x is not supported on Hadoop 3.x

https://hbase.apache.org/book.html#hadoop

There is even a comment and link just below the matrix which states the following -
"The Hadoop PMC called out the 3.1.0 release as not stable / production ready. As such, HBase expressly advises downstream users to avoid running on top of this release. For reference, see the release announcement for Hadoop 3.1.0."
https://lists.apache.org/thread.html/8313e605c0ed0012f134cce9cc6adca738eea81feccea99c8de87cd9@%3Cgen...

which states - "This release is *not* yet ready for production use. Critical issues are being ironed out via testing and downstream adoption. Production users should wait for a 3.1.1/3.1.2 release."

At the very least this is confusing. At the worst, this could be a disaster.

Can anyone speak to running HDP 3.0.0 using HBase (i.e HBase 2.0.1 on Hadoop 3.1.0) ?

Thanks,

2 REPLIES 2
Highlighted

Re: HDP 3.0.0 including unsupported component versions Hadoop 3.1.0 and HBase 2.0.1

I guess it would be better to wait a while until it is certified for production use. It is not very assuring when Apache foundation has said the versions of hadoop and hbase are not supported but hortonworks is providing them.

Highlighted

Re: HDP 3.0.0 including unsupported component versions Hadoop 3.1.0 and HBase 2.0.1

HDP 3.0.0 underwent extensive testing to validate that a wide-breadth of features work as expected. This includes the versions of Hadoop and HBase that were shipped. As with every release, there may be issues lurking, both known and unknown. We do our best to call these out as a part of the documentation which accompanies every release: https://docs.hortonworks.com/HDPDocuments/HDP3/HDP-3.0.0/release-notes/content/known_issues.html. The Apache communities must "support" a significantly "wider" compatibility matrix, and move much more slowly to call things stable.

If you have concerns about versions of components shipped in HDP, I'd suggest that you reach out to contacts in support or sales so that we can have a meaningful discussion on specifics. Thanks!

Don't have an account?
Coming from Hortonworks? Activate your account here